Subject: Re: bug#17280: "Untangle" script to lay foundations for refactoring dfa.c

From: Paul Eggert <[email-masked]>
Date: Wed, 16 Apr 2014 22:49:52 -0700

Thanks, wow.  I like the idea of splitting things apart, as dfa.c is 
indeed too large and tricky.  This'll have to wait until after the next 
grep release, at least in terms of investment of time that I can make in 
terms of reviewing.  At this point we have six performance patches in 
the queue (17136, 17203, 17204, 17229, 17230, 17240) and my hope was 
that we can put out the next version once they're reviewed.

There's also the issue that gawk uses dfa.c etc., so any changes we make 
to grep should be done with gawk in mind.